/***************************************************************************************
SDカードに情報を保存する

                                                       Copyright (c) 2013 Wataru KUNINO
***************************************************************************************/
#include <SD.h>

#define PIN_SDCS    4                       // SDのチップセレクトCS(SS)を接続したポート

void setup(){
    while(SD.begin(PIN_SDCS)==false){       // SDカードの開始
        delay(5000);                        // 失敗時は5秒ごとに繰り返し実施
    }
}

File file;                                  // SDファイルの定義
int i=0;                                    // 変数iの定義

void loop(){
    file=SD.open("TEST.CSV", FILE_WRITE);   // 書込みファイル「test.csv」のオープン
    if(file == true){                       // オープンが成功した場合
        file.print(i);                      // 変数iの値を出力
        file.print(",");                    // カンマを出力
        file.print( millis() );             // Arduinoのタイマー値を出力
        file.println();                     // 改行を出力
        file.close();                       // ファイルを閉じる(実際にSDへ書き込む)
    }
    delay(2000);                            // ２秒間、待つ
    i++;                                    // 変数iを1増やす
}
