/***************************************************************************************
LEDをリモート制御する：リモート子機のDIO4(XBee pin 11)のLEDを点滅。

                                                       Copyright (c) 2013 Wataru KUNINO
***************************************************************************************/
#include <xbee.h>

// お手持ちのXBeeモジュール子機のIEEEアドレスに変更する↓
byte dev[] = {0x00,0x13,0xA2,0x00,0x40,0x30,0xC1,0x6F};

void setup() {
    xbee_init( 0 );                 // XBee用COMポートの初期化
}

void loop() {
    xbee_gpo(dev, 4, 1);            // リモートXBeeのポート4を出力'H'に設定する
    delay( 1000 );                  // 1000ms(1秒間)の待ち
    xbee_gpo(dev, 4, 0);            // リモートXBeeのポート4を出力'L'に設定する
    delay( 1000 );                  // 1000ms(1秒間)の待ち
}

/*
void loop() {
    xbee_rat(dev,"ATD405");         // リモートATコマンドATD4(DIO4設定)=05(出力'H')
    delay( 1000 );                  // 1000ms(1秒間)の待ち
    xbee_rat(dev,"ATD404");         // リモートATコマンドATD4(DIO4設定)=04(出力'L')
    delay( 1000 );                  // 1000ms(1秒間)の待ち
}
*/
